varying vec2 coord_shadow; uniform sampler2D shadow;

uniform sampler3D ntex;
uniform sampler2D tex, team;
uniform float anim;

varying vec4 teamcolor;
varying vec3 normal, lightDir, halfVector;
varying vec4 pos;

void main() {

        vec4 color;
        vec3 n, halfV, viewV, ldir;
        float NdotL, NdotHV;

        color = vec4(0.0, 0.0, 0.0, 1.0); // ambient

        vec4 diffuse = texture2D(tex, gl_TexCoord[0].st);
        vec4 tcolor = texture2D(team, gl_TexCoord[0].st) * teamcolor;
        diffuse = mix(diffuse, tcolor, tcolor.a);

        color = diffuse;

/*
        n = normalize(normal);
        NdotL = max(dot(n, lightDir), 0.0);
//        NdotL = mix(NdotL, 1.0, 0.5);

//        color.rgb = n; //NdotL;
//        color.a = 1.0;

        // specular shininess
        if (NdotL > 0.0) {
                color += diffuse * NdotL;
                halfV = normalize(halfVector);
                NdotHV = max(dot(n, halfV), 0.0);
                color += 1 * vec4(0.1, 0.1, 0.1, 1.0) * pow(NdotHV, 32.0);
        }
*/
        vec4 texel = texture2D(shadow, coord_shadow);
        float a = texel.a;
        gl_FragColor.rgb = mix(color.rgb, texel.rgb, a);
        gl_FragColor.a = color.a;
}
