#ifndef Formations_H
#define Formations_H

// Line formation
const static ScalarPoint* Line4[4] = { new ScalarPoint(-8,0),new ScalarPoint(8,0),new ScalarPoint(24,0),new ScalarPoint(-24,0) };
const static ScalarPoint* Line5[5] = { new ScalarPoint(0,0), new ScalarPoint(-16,0),new ScalarPoint(16,0),new ScalarPoint(32,0), new ScalarPoint(-32,0) };

// Column formation
const static ScalarPoint* Column4[4] = { new ScalarPoint(0,-8),new ScalarPoint(0,8),new ScalarPoint(0,24), new ScalarPoint(0,-24) };
const static ScalarPoint* Column5[5] = { new ScalarPoint(0,0),new ScalarPoint(0,16), new ScalarPoint(0,32), new ScalarPoint(0,48), new ScalarPoint(0,64) };

// Wedge formation
const static ScalarPoint* Wedge4[4] = { new ScalarPoint(-8,0),new ScalarPoint(8,0),new ScalarPoint(24,-16), new ScalarPoint(-24,-16) };
const static ScalarPoint* Wedge5[5] = { new ScalarPoint(0,0),new ScalarPoint(16,-16),new ScalarPoint(-16,-16), new ScalarPoint(32,-32), new ScalarPoint(-32,-32) };

#endif
